[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TryFloatToCurr

Try to convert a float value to a currency value and report on success.

## Declaration

Source position: sysstrh.inc line 189

`function TryFloatToCurr(`
`const Value: Extended;`
`var AResult: Currency`
`):Boolean;`

## Description

TryFloatToCurr tries convert the Value floating point value to a Currency value. If successful, the function returns True and the resulting currency value is returned in AResult. It checks whether Value is in the valid range of currencies (determined by MinCurrency and MaxCurrency). If not, False is returned.

## Errors

If Value is out of range, False is returned.

## See also

FloatToCurr |  | Convert a float to a Currency value.
MinCurrency |  | Minimum Currency value
MaxCurrency |  | Maximum currency value

Documentation generated on: Feb 26 2014